# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           greadelf
Version:        1.0
Release:        alt1_10
Summary:        Wrapper tool for eu-readelf
Group:          Development/Tools
License:        GPLv2
URL:            http://code.google.com/p/greadelf/
Source0:        http://greadelf.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
Requires:	elfinfo >= 1.1-4 elfutils
Source44: import.info

%description
This Tool is essentially a wrapper over eu-readelf. This package can work
without eu-readelf with limited functionality. Optionally it can also works
with elfinfo an associated package.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=greadelf
Comment=wrapper tool over eu-readelf
Exec=greadelf
Terminal=false
Type=Application
Encoding=UTF-8
Categories=GNOME;GTK;System;
EOF

desktop-file-install \
    --dir %{buildroot}/%{_datadir}/applications/ \
    %{name}.desktop

%files
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/greadelf
%{_datadir}/applications/*%{name}.desktop


%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_10
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_8
- initial fc import

